Loading...
Searching...
No Matches
RDKit::v2::FileParsers::ForwardSupplierIter< Supplier > Struct Template Reference

`#include <MolSupplier.h>`

## Public Types

using | iterator_category = std::input_iterator_tag
using | difference_type = std::ptrdiff_t
using | value_type = std::shared_ptr<RWMol>
using | const_value_type = const std::shared_ptr<RWMol>

## Public Member Functions

| ForwardSupplierIter ()=default
| ForwardSupplierIter (const ForwardSupplierIter &)=default
ForwardSupplierIter & | operator= (const ForwardSupplierIter &)=default
| ForwardSupplierIter (ForwardSupplierIter &&)=default
ForwardSupplierIter & | operator= (ForwardSupplierIter &&)=default
| ForwardSupplierIter (Supplier *supplier)
const_value_type | operator* () const
ForwardSupplierIter & | operator++ ()
ForwardSupplierIter | operator++ (int)
bool | operator== (const ForwardSupplierIter &other) const

## Public Attributes

Supplier * | supplier = nullptr
std::optional< value_type > | current

## Detailed Description

template<typename Supplier>
struct RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >

Definition at line 174 of file MolSupplier.h.

## Member Typedef Documentation

## const_value_type

template<typename Supplier>

using RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::const_value_type = const std::shared_ptr<RWMol>

Definition at line 178 of file MolSupplier.h.

## difference_type

template<typename Supplier>

using RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::difference_type = std::ptrdiff_t

Definition at line 176 of file MolSupplier.h.

## iterator_category

template<typename Supplier>

using RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::iterator_category = std::input_iterator_tag

Definition at line 175 of file MolSupplier.h.

## value_type

template<typename Supplier>

using RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::value_type = std::shared_ptr<RWMol>

Definition at line 177 of file MolSupplier.h.

## Constructor & Destructor Documentation

## ForwardSupplierIter() [1/4]

template<typename Supplier>

RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::ForwardSupplierIter | ( |  | ) |

default

## ForwardSupplierIter() [2/4]

template<typename Supplier>

RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::ForwardSupplierIter | ( | const ForwardSupplierIter< Supplier > & |  | ) |

default

## ForwardSupplierIter() [3/4]

template<typename Supplier>

RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::ForwardSupplierIter | ( | ForwardSupplierIter< Supplier > && |  | ) |

default

## ForwardSupplierIter() [4/4]

template<typename Supplier>

RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::ForwardSupplierIter | ( | Supplier * | supplier | ) |

inline explicit

Definition at line 188 of file MolSupplier.h.

## Member Function Documentation

## operator*()

template<typename Supplier>

const_value_type RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::operator* | ( |  | ) | const

inline

Definition at line 190 of file MolSupplier.h.

## operator++() [1/2]

template<typename Supplier>

ForwardSupplierIter & RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::operator++ | ( |  | ) |

inline

Definition at line 191 of file MolSupplier.h.

## operator++() [2/2]

template<typename Supplier>

ForwardSupplierIter RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::operator++ | ( | int |  | ) |

inline

Definition at line 207 of file MolSupplier.h.

## operator=() [1/2]

template<typename Supplier>

ForwardSupplierIter & RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::operator= | ( | const ForwardSupplierIter< Supplier > & |  | ) |

default

## operator=() [2/2]

template<typename Supplier>

ForwardSupplierIter & RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::operator= | ( | ForwardSupplierIter< Supplier > && |  | ) |

default

## operator==()

template<typename Supplier>

bool RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::operator== | ( | const ForwardSupplierIter< Supplier > & | other | ) | const

inline

Definition at line 216 of file MolSupplier.h.

## Member Data Documentation

## current

template<typename Supplier>

std::optional<value_type> RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::current

Definition at line 181 of file MolSupplier.h.

Referenced by RDKit::v2::FileParsers::ForwardSupplierIter< ForwardSDMolSupplier >::operator==().

## supplier

template<typename Supplier>

Supplier* RDKit::v2::FileParsers::ForwardSupplierIter< Supplier >::supplier = nullptr

Definition at line 180 of file MolSupplier.h.

The documentation for this struct was generated from the following file:

- MolSupplier.h